                        /* progRVB.C */
#include <stdio.h>
#include "image.h"

int main(void)
{
 ImageRVB  im;

 int nbRow=300;
 int nbCol=600;
 int l=0,c=0;
 octet valR=0;
 octet valV=100;
 octet valB=200;

 mallocImageRVB(&im,nbRow,nbCol);

 for(l=0;l<nbRow;l++)
 {
  for(c=0;c<nbCol;c++)
   {
    im.R.zone[l][c]=valR;
    im.V.zone[l][c]=valV;   /* On peut aussi faire : */
    im.B.zone[l][c]=valB;   /* writePixRVB(&im,l,c,valR,valV,valB); */
   }
  if (valR==255) valR=0;
  else           valR++;
  if (valV==255) valV=0;
  else           valV++;
  if (valB==255) valB=0;
  else           valB++;
 }

 saveImageRVB(&im,"../Resultats/visuIm.ras");

 displayImageRVB("../Resultats/visuIm.ras");

 freeImageRVB(&im);

 return 0;
}
