#include <stdio.h>            /* progX.C */
#include <stdlib.h>
#include <math.h>
#include <sys/time.h>
#include <fstream>

#include "xAffichage.h"
#include "image.h"

int main(void)
{
  Image im;

  XAffichage *Fim;

  int nbRow=300;
  int nbCol=600;
  int l=0,c=0;
  octet val=0;

  int  indSauvegardeIm=1;
  char nomSauvegarde[2048];

  mallocImage(&im,nbRow,nbCol);

  for(l=0;l<nbRow;l++)
  {
   for(c=0;c<nbCol;c++)
   {
    im.zone[l][c]=val;
   }
   if (val==255) val=0;
   else          val++;
  }

  Fim = new XAffichage(nbRow,nbCol,0,0);

  Fim->Afficher(&im);

  printf("q: quitter\n");
  printf("s: sauver\n");

  while (1)
    {
     char cim;

     Fim->Afficher(&im);
     cim=Fim->XEvenement(&im);
     if (cim=='s' || cim=='S') {
       snprintf(nomSauvegarde,sizeof(nomSauvegarde),
                "../Resultats/ImageI%d.ras",indSauvegardeIm);
       saveImage(&im,nomSauvegarde);
       indSauvegardeIm++;
     }

     if (cim=='q' || cim=='Q') break;
    }

 delete(Fim);

 freeImage(&im);

 return(0);
}
