#include "image.h"
#include "traitement.h"

#define  C  0
#define NC 255

void seuillage(const Image * in, Image * out, octet seuil)
{
 int l = 0, c = 0;
 int nbRowI = in->nbRow, nbColI = in->nbCol;

 mallocImage(out,nbRowI,nbColI); /* Si necessaire */

 for(l=0;l<nbRowI;l++)
 {
  for(c=0;c<nbColI;c++)
  {
   out->zone[l][c] = (in->zone[l][c]>seuil) ? C : NC;
  }
 }
}

void seuillageRVB(const ImageRVB * in, ImageRVB * out, octet seuil)
{
 int nbRowI = in->nbRow, nbColI = in->nbCol;

 mallocImageRVB(out,nbRowI,nbColI);

 seuillage(&in->R,&out->R,seuil);
 seuillage(&in->V,&out->V,seuil);
 seuillage(&in->B,&out->B,seuil);
}
