#include <stdio.h>            /* progX.C */
#include <stdlib.h>
#include <math.h>
#include <sys/time.h>
#include <fstream>

#include "xAffichage.h"
#include "image.h"

int main(void)
{
  ImageRVB im;

  XAffichage *Fim;

  int nbRow=300;
  int nbCol=600;
  int l=0,c=0;
  octet valR=0;
  octet valV=100;
  octet valB=200;

  int  indSauvegardeIm=1;
  char nomSauvegarde[2048];

  mallocImageRVB(&im,nbRow,nbCol);

  for(l=0;l<nbRow;l++)
  {
   for(c=0;c<nbCol;c++)
   {
    im.R.zone[l][c]=valR;
    im.V.zone[l][c]=valV;   /* On peut aussi faire : */
    im.B.zone[l][c]=valB;   /* writePixRVB(&im,l,c,valR,valV,valB); */
   }
   if (valR==255) valR=0;
   else           valR++;
   if (valV==255) valV=0;
   else           valV++;
   if (valB==255) valB=0;
   else           valB++;
  }

  Fim = new XAffichage(nbRow,nbCol,0,0);

  Fim->Afficher(&im);

  printf("q: quitter\n");
  printf("s: sauver\n");

  while (1)
    {
     char cim;

     Fim->Afficher(&im);
     cim=Fim->XEvenement(&im);
     if (cim=='s' || cim=='S') {
       snprintf(nomSauvegarde,sizeof(nomSauvegarde),
                "../Resultats/ImageI%d.ras",indSauvegardeIm);
       saveImageRVB(&im,nomSauvegarde);
       indSauvegardeIm++;
     }

     if (cim=='q' || cim=='Q') break;
    }

 delete(Fim);

 freeImageRVB(&im);

 return(0);
}
